<?php 

/**
 * Use this to generate newContentData
 * $request 
 * $note 
 * $section 
 */

 $contentData = json_decode($section->content_data, true);

 if(!isset($contentData['weights'])){
     $contentData['weightLog'] = [];
 }


$weight = $request->get('weight');
$effectiveDate = $request->get('effectiveDate');

$currentWeight = [
    'weight'=>$weight, 
    'effectiveDate' => $effectiveDate
];


$weightLog = [];

if(isset($contentData['weightLog'])){
    $weightLog = $contentData['weightLog'];
}

$weightLog[] = $currentWeight;



$newContentData = [
    'currentWeight' => $currentWeight,
    'weightLog' => $weightLog, 
    'measurements' => [
        [
            'label'=> 'weight',
            'value' => $weight, 
            'effectiveDate' => $effectiveDate
        ]
    ]
];